package test

import (
	"fmt"
	"fusenapi/server/home-user-auth/internal/config"
	"fusenapi/server/home-user-auth/internal/handler"
	"fusenapi/server/home-user-auth/internal/svc"
	"fusenapi/utils/fstests"

	"log"

	"github.com/zeromicro/go-zero/core/conf"
	"github.com/zeromicro/go-zero/rest"
)

var testConfigFile = "home-user-auth"
var cnf config.Config
var gserver *rest.Server

func init() {
	log.SetFlags(log.Llongfile)
	gserver = GetTestServer()
}

func GetTestServer() *rest.Server {

	conf.MustLoad(fstests.GetEtcYamlPathAuto(testConfigFile), &cnf)

	server := rest.MustNewServer(cnf.RestConf)
	defer server.Stop()

	ctx := svc.NewServiceContext(cnf)
	handler.RegisterHandlers(server, ctx)

	fmt.Printf("Starting server at %s:%d...\n", cnf.Host, cnf.Port)
	return server
}
